# -*- encoding: utf-8 -*-
# stub: sensu-plugins-memcached-boutetnico 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-memcached-boutetnico".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2020-06-03"
  s.description = "This plugin provides native memcached instrumentation\n                              for monitoring and metrics collection, including:\n                              stats service health and metrics via `stats` protocol".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metrics-memcached-key-stats-graphite.rb".freeze, "check-memcached-stats.rb".freeze, "metrics-memcached-socket-graphite.rb".freeze, "metrics-memcached-graphite.rb".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE".freeze, "README.md".freeze, "bin/check-memcached-stats.rb".freeze, "bin/metrics-memcached-graphite.rb".freeze, "bin/metrics-memcached-key-stats-graphite.rb".freeze, "bin/metrics-memcached-socket-graphite.rb".freeze, "lib/sensu-plugins-memcached".freeze, "lib/sensu-plugins-memcached.rb".freeze, "lib/sensu-plugins-memcached/version.rb".freeze]
  s.homepage = "https://github.com/boutetnico/sensu-plugins-memcached".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "2.6.14.1".freeze
  s.summary = "Sensu plugins for memcached".freeze

  s.installed_by_version = "2.6.14.1" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<dalli>.freeze, ["~> 2.7"])
      s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
      s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
      s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
      s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
      s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
    else
      s.add_dependency(%q<dalli>.freeze, ["~> 2.7"])
      s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
      s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
      s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
      s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
      s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
      s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
      s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
    end
  else
    s.add_dependency(%q<dalli>.freeze, ["~> 2.7"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
